IPSW-DOWNLOAD-OTA(1)

NAME
ipsw-download-ota - Download OTAs

SYNOPSIS
ipsw download ota [options] [flags]

DESCRIPTION
Download OTAs

OPTIONS
--beta[=false]
    Download Beta OTAs

--delta[=false]
    Download Delta OTAs

--driver-kit[=false]
    Extract DriverKit dyld_shared_cache(s) from remote OTA zip

--dyld[=false]
    Extract dyld_shared_cache(s) from remote OTA zip

-a, --dyld-arch=[]
    dyld_shared_cache architecture(s) to remote extract

-f, --flat[=false]
    Do NOT perserve directory structure when downloading with --pattern

-h, --help[=false]
    help for ota

--info[=false]
    Show all the latest OTAs available

-j, --json[=false]
    Dump URLs as JSON only

-k, --kernel[=false]
    Extract kernelcache from remote OTA zip

--latest[=false]
    Download latest OTAs

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

-p, --platform=""
    Platform to download (ios, watchos, tvos, audioos || accessory, macos, recovery)

--rsr[=false]
    Download Rapid Security Response OTAs

--show-latest-build[=false]
    Show latest iOS build

--show-latest-version[=false]
    Show latest iOS version

-u, --urls[=false]
    Dump URLs only

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

EXAMPLE
      # Download the iOS 14.8.1 OTA for the iPhone10,1
      ❯ ipsw download ota --platform ios --version 14.8.1 --device iPhone10,1
        ? You are about to download 1 OTA files. Continue? Yes
    	  • Getting OTA               build=18H107 device=iPhone10,1 version=iOS1481Short
    	  280.0 MiB / 3.7 GiB [===>------------------------------------------------------| 51m18s
      # Get all the latest BETA iOS OTAs URLs as JSON
      ❯ ipsw download ota --platform ios --beta --urls --json

SEE ALSO
ipsw-download(1)

HISTORY
5-Mar-2025 Auto generated by spf13/cobra